Package org.apache.wiki.search

# Class DefaultSearchManager

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter
org.apache.wiki.search.DefaultSearchManager

All Implemented Interfaces:
  `EventListener`, `PageFilter`, `WikiEventListener`, `InternalModule`, `SearchManager`

public class DefaultSearchManager extends BasePageFilter implements SearchManager
Manages searching the Wiki.

Since:
  2.2.21.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`DefaultSearchManager.JSONSearch`
Provides a JSON AJAX API to the JSPWiki Search Engine.

## Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

### Fields inherited from interface org.apache.wiki.search.SearchManager

`DEFAULT_SEARCHPROVIDER, JSON_SEARCH, PROP_SEARCHPROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSearchManager(Engine engine, Properties properties)`
Creates a new SearchManager.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(WikiEvent event)`
`SearchProvider`
`getSearchEngine()`
Returns the SearchProvider used.
`void`
`initialize(Engine engine, Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postSave, postTranslate, preSave, preTranslate`

### Methods inherited from interface org.apache.wiki.search.SearchManager

`findPages, pageRemoved, reindexPage`

## Constructor Details

### DefaultSearchManager

public DefaultSearchManager(Engine engine, Properties properties) throws FilterException
Creates a new SearchManager.

Parameters:
  `engine` - The Engine that owns this SearchManager.
  `properties` - The list of Properties.
Throws:
  `FilterException` - If it cannot be instantiated.

## Method Details

### initialize

public void initialize(Engine engine, Properties properties) throws FilterException

Specified by:
  `initialize` in interface `PageFilter`
Overrides:
  `initialize` in class `BasePageFilter`
Throws:
  `FilterException`

### getSearchEngine

public SearchProvider getSearchEngine()
Returns the SearchProvider used.

Specified by:
  `getSearchEngine` in interface `SearchManager`
Returns:
  The current SearchProvider.

### actionPerformed

public void actionPerformed(WikiEvent event)

Specified by:
  `actionPerformed` in interface `WikiEventListener`